<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");
$nombrepagina = "REPORTE PLANILLA POR MENSAJERO";

unset($_SESSION['cadena_csv']);
unset($_SESSION['nombcsv']);
$fecha_actual = date("Y-m-d");
$_SESSION['cadena_csv'] = "PLANILLA;PLANILLADAS;ENTREGAS;DEVOLUCIONES;PENDIENTES";
$_SESSION['cadena_csv'] = substr($_SESSION['cadena_csv'], 0, -1);
$_SESSION['cadena_csv'] .=chr(13) . chr(10);


encabezado($target);
$user = $_SESSION['validar'];
$tamano_pagina = 20;
$_SESSION['tam'] = $tamano_pagina;
$pagina = $_GET["pagina"];
if (!$pagina) {
    $inicio = 0;
    $_SESSION['inicio'] = $inicio;
    $pagina = 1;
} else {
    $inicio = ($pagina - 1) * $tamano_pagina;
    $_SESSION['inicio'] = $inicio;
}
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);
    $perfil = $_SESSION['perfil'];
    $sql_msn = "select nombre from mensajeros where id_mensajero='" . $mensajero . "' ";
    $sql_pln = "select id_planilla,fecha_planilla from planillas where id_mensajero='" . $mensajero . "'
		and fecha_planilla between '" . $f1 . "' AND '" . $f2 . "'";
    $ArrCarga = array('planilla', 'cargada', 'entregas', 'devoluciones', 'pendientes');
    $arrpl = array();
    $arrcar = array();
    $arrent = array();
    $arrdev = array();
    $arrpen = array();

    $mysql = new conexion();
    $mysql->conectarse();
    $base_msn = $mysql->consultar($sql_msn);
    $fila_msn = mysql_fetch_assoc($base_msn);
    $nomb_men = $fila_msn["nombre"];
    $base_pl = $mysql->consultar($sql_pln);
    $cnt = mysql_num_rows($base_pl);
    if (mysql_num_rows($base_pl) >= 1) {

        while ($registro = mysql_fetch_array($base_pl)) {
            $nplanilla = $registro['id_planilla'];
            $var_sql = "select count(*) as pl_cargadas from guias_proceso where id_planilla='" . $nplanilla . "' and id_mensajero='" . $mensajero . "'";
            $base_cargadas = $mysql->consultar($var_sql);
            $fila = mysql_fetch_assoc($base_cargadas);
            $arrpl[] = $nplanilla;
            $var_car = $fila["pl_cargadas"];
            $arrcar[] = $fila["pl_cargadas"];

            $var_sql = "select count(*) as pl_entregadas from guias_proceso where id_planilla='" . $nplanilla . "' and id_mensajero='" . $mensajero . "' and (id_estado=14 or id_estado=15)";
            $base_entregadas = $mysql->consultar($var_sql);
            $fila = mysql_fetch_assoc($base_entregadas);
            $var_ent = $fila["pl_entregadas"];
            $arrent[] = $fila["pl_entregadas"];

            $var_sql = "select count(*) as pl_devoluciones from plani_dev where id_planilla='" . $nplanilla . "' and id_mensajero='" . $mensajero . "'";
            $base_devol = $mysql->consultar($var_sql);
            $fila = mysql_fetch_assoc($base_devol);
            $arrdev[] = $fila["pl_devoluciones"];
            $arrpen[] = $var_car - $var_ent;
        }
    }
    $_SESSION['exp_planillas'] = $arrpl;
    $_SESSION['exp_cargadas'] = $arrcar;
    $_SESSION['exp_entregadas'] = $arrent;
    $_SESSION['exp_devoluciones'] = $arrdev;
    $_SESSION['exp_devoluciones'] = $arrpen;
    $_SESSION['exp_mensajero'] = $nomb_men;
    $_SESSION['fec_ini'] = $f1;
    $_SESSION['fec_fin'] = $f2;

    $_SESSION['nombcsv'] = 'PlanillasMensajero_' . $nomb_men . '.csv';
    ?>
    <CENTER><table width="420" border="0" class="primaria"><tr>
                <td colspan="3"><div style="margin-left:0px">
                        <a href='guarda_csv.php' title='Exportar CSV'>Exportar Csv<img src='imagenes/txt_icon.gif'></a>
                        <!--<a href='exp_arr_excel.php'><img src='imagenes/xls_icon.gif'></a>-->
                        <a href="cons_planilla_mensajero.php?id_user=<? echo $id_user; ?>&suc=<? echo $suc; ?>&f1=<? echo $f1; ?>&f2=<? echo $f2; ?>" class="mainlevel"><b>REGRESAR</b></a>
                </td>
            </tr>
            <tr class=miTable_tr>
                <td colspan="5" class=miTable_th1><div align="center">..:: REPORTE PLANILLA POR MENSAJERO <? echo $nomb_men; ?> ::..</div></td>
            </tr>
            <tr class=miTable_tr>
                <td colspan="5" class=miTable_th1>Cantidad de registros encontrados <? print $cnt; ?></td>
            </tr>
            <tr class="miTable_tr">
                <td valign=top class=miTable_th1 width="30">Planilla</td>
                <td valign=top class=miTable_th1 nowrap>Planilladas</td>
                <td valign=top class=miTable_th1>Entregas</td>
                <td valign=top class=miTable_th1>Devoluciones</td>
                <td valign=top class=miTable_th1>Pendientes</td>
                <?php
                for ($ytr = 0; $ytr < $cnt; $ytr++) {
                    $pendientes = '';
                    if ($arrpen[$ytr] > 0) {
                        $pendientes = $arrpen[$ytr] - $arrdev[$ytr];
                    } else {
                        $pendientes = 0;
                    }
                    $plan = $arrpl[$ytr];
                    echo "<tr class=miTable_tr>";
                    echo "<td valign=top class=miTable_td>" . $arrpl[$ytr] . "</td>";
                    echo "<td valign=top class=miTable_td nowrap>" . $arrcar[$ytr] . "</td>";
                    //"<a href='lista_registros.php?&id_mens=$id_mens&pl=$plan&cons=1' target='blank'> Ver Detalles  </a></td>";
                    echo "<td valign=top class=miTable_td nowrap>" . $arrent[$ytr];
                    $_SESSION['cadena_csv'].=$arrpl[$ytr] . ';' . $arrcar[$ytr] . ';' . $arrent[$ytr] . ';';
                    if ($arrent[$ytr] > 0) {
                        echo "</td>";
//echo "<a href='lista_registros.php?&id_mens=$id_mens&pl=$plan&cons=2' target='blank'> Ver Detalles  </a></td>";        
                    } else {
                        echo "</td>";
                    }

                    echo "<td valign=top class=miTable_td nowrap>" . $arrdev[$ytr];
                    $_SESSION['cadena_csv'].=$arrdev[$ytr] . ';';
                    if ($arrdev[$ytr] > 0) {
                        echo "</td>";
                        //echo "<a href='lista_registros.php?&id_mens=$id_mens&pl=$plan&cons=3' target='blank'> Ver Detalles  </a></td>";    
                    } else {
                        echo "</td>";
                    }

                    echo "<td valign=top class=miTable_td nowrap>" . $pendientes;
                    $_SESSION['cadena_csv'].=$pendientes;
                    $_SESSION['cadena_csv'] .=chr(13) . chr(10);
                    if ($pendientes > 0) {
                        echo "</td>";
                        //  echo "<a href='lista_registros.php?&id_mens=$id_mens&pl=$plan&cons=4' target='blank'> Ver Detalles  </a></td>";       
                    } else {
                        echo "</td>";
                    }

                    echo "<td valign=middle class=miTable_td>";
                    //}
                }
                ?>

            <tr class=miTable_tr>
                <td class=miTable_td colspan="9">
                    <div align="center">
                        <?
                        $id_user = $_GET['id_user'];
                        $id_sucursal = $_GET['suc'];
                        if ($total_paginas > 1) {
                            echo "Paginas:";
                            $start = ( $pagina - 5 > 0 ? $pagina - 5 : 1 );
                            if ($start > 1) {
                                print "&nbsp;<a href='nomina_mensajeros.php?pagina=" . ($start - 1) . "&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2&mensajero=$mensajero'> << </A>";
                            }
                            for ($i = 0; $i < 10 && $total_paginas >= $start + $i; $i++) {
                                if ($pagina == $start + $i) {
                                    print "&nbsp;&nbsp;" . ($start + $i);
                                } else {
                                    print "&nbsp;&nbsp;<a href='nomina_mensajeros.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2&mensajero=$mensajero'>" . ($start + $i) . " </A>";
                                }
                            }
                            if ($start + $i < $total_paginas) {
                                print "&nbsp;&nbsp;<a href='nomina_mensajeros.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2&mensajero=$mensajero'> >> </A>";
                            }
                        }
                        ?></div></td></tr>
            <form method='GET' action="">
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="9">
                        <DIV align="center">
                            Ir a la pagina
                            <input type='text' name='pagina' value='' size="5" class="inputbox">
                            <input type='hidden' name='id_user' value='<? echo $id_user ?>'>
                            <input type='hidden' name='suc' value='<? echo $id_sucursal ?>'>
                            <input type='hidden' name='tabla' value='<? echo $tabla ?>'>
                            <input type='hidden' name='f1' value='<? echo $f1 ?>'>
                            <input type='hidden' name='f2' value='<? echo $f2 ?>'>
                            <input type='hidden' name='mensajero' value='<? echo $mensajero ?>'>
                            <input type='submit' name='' value='Ir' class="inputbox">
                        </DIV>
                    </td>
                </tr>
        </table>
    </form>
    </CENTER>
    <?
    mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?><td><center>
    <?
    pie_de_pagina();
    ?>

</center></td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>